/*
Theme Name: Hello Child Clean V2
Template: hello-elementor
*/

/* FULL HEIGHT LAYOUT */
html {
  height: 100%;
}

body {
  min-height: 100vh; 
  display: flex;
  flex-direction: column;
  background-color:#152a41 !important;
}

main {
  flex: 1;
  display: flex;
  flex-direction: column;
}

body.menu-open {
  overflow: hidden;
}

.header {
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 1000;
}

.container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 50px;
}

.logo {
  color: #fff;
  font-weight: bold;
}

/* DESKTOP MENU */
.nav {
  display: block;
  margin-right: 30px;
}

.nav-links {
  display: flex;
  gap: 30px;
  list-style: none;
}

.nav-links a {
  font-size: 21px;
  font-weight:500;
  color: #56657a !important;
  text-decoration: none;
}

/* HAMBURGER */
.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
  z-index: 1001;
}

.menu-toggle span {
  width: 25px;
  height: 3px;
  background: #fff;
  margin: 4px 0;
  transition: 0.4s;
}

.menu-toggle.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px,5px);
}
.menu-toggle.active span:nth-child(2) {
  opacity: 0;
}
.menu-toggle.active span:nth-child(3) {
  transform: rotate(-45deg) translate(6px,-6px);
}

/* FULLSCREEN MENU */
.fullscreen-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #111;
  transform: translateY(-100%);
  opacity: 0;
  transition: 0.5s ease;
  z-index: 999;
}

.fullscreen-menu.active {
  transform: translateY(0);
  opacity: 1;
}

.fullscreen-links {
  list-style: none;
  text-align: center;
}

.fullscreen-links li {
  margin: 20px 0;
}

.fullscreen-links a {
  font-size: 40px;
  color: #56657a !important;
  text-decoration: none;
}

.fullscreen-links a:hover {
  color: #fff !important;
}

/* DESKTOP HOVER EFFECT */
.nav-links a {
  color: #b2c4dc;
  position: relative;
  transition: color 0.3s ease, transform 0.2s ease;
}

.nav-links a:hover {
  color: #fff !important;
  transform: translateY(-2px);
}

/* UNDERLINE ANIMATION */
.nav-links a::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -5px;
  width: 0%;
  height: 2px;
  background: #2c8bfa;
  transition: 0.3s ease;
  transform: translateX(-50%);
}

.nav-links a:hover::after {
  width: 100%;
}

.fullscreen-links a {
  position: relative;
  transition: color 0.3s ease, transform 0.2s ease;
}

.fullscreen-links a:hover {
  color: #2c8bfa;
  transform: translateY(-3px);
}

.fullscreen-links a::after  {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -10px;
  width: 0%;
  height: 3px;
  background: #2c8bfa;
  transition: 0.3s ease;
  transform: translateX(-50%);
}

.fullscreen-links a:hover::after {
  width: 100%;
}


/* FOOTER LINKS */

.site-footer {
  color: #fff;
  padding: 40px 20px;
}

.footer-container {
  margin: auto;
  padding: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.footer-left {
  font-size: 21px;
  color: #56657a;
}

.footer-links {
  list-style: none;
  display: flex;
  gap: 20px;
  font-size: 21px;
  margin-right: 30px;
}

.footer-links a {
  color: #56657a !important;
  text-decoration: none;
  transition: 0.3s;
}

.footer-links a:hover {
  color: #fff !important;
}

/* REMOVE MAX WIDTH CONSTRAINT */
.site-footer,
.site-main,
.site-header {
  max-width: 100% !important;
}
.footer-container {
  max-width: 100%;
  margin: auto;
}

.logo img {
  max-height: 30px;
  width: auto;
  margin-left: 25px;
}

/* RESPONSIVE */

@media (max-width: 1024px) {
  .nav {
    display: none;
  }

  .menu-toggle {
    display: flex;
  }
  .container {  
    padding: 40px;
  }  
  .logo img {
  margin-left: 0px;
  }
  .footer-links {
  margin-right: 10px;
  }
  .footer-container{
    padding: 10px;
  }
  .footer-left, .footer-links {
    font-size: 18px;
  }
}

@media (max-width: 768px) {
  .container {  
    padding: 20px;
  }  
  .logo img {
  margin-left: 0px;
  }
  .footer-links {
  margin-right: 10px;
  }
  .footer-container{
    padding: 10px;
  }
  .footer-left, .footer-links {
    font-size: 16px;
  }
}

@media (max-width: 480px) {
  .container {  
    padding: 20px;
  }  
  .logo img {
  margin-left: 0px;
  }
  .footer-links {
  margin-right: 10px;
  }
  .footer-container{
    padding: 10px;
  }
}